%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gem_name deltacloud-client
%global rubyabi 1.9.1

Summary: Deltacloud REST Client
Name: rubygem-%{gem_name}
Version: 1.0.4
Release: 1%{?dist}
Group: Development/Languages
License: ASL 2.0
URL: http://www.deltacloud.org
Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem
Requires: ruby(abi) = %{rubyabi}
Requires: ruby(rubygems)
Requires: rubygem(rest-client) >= 1.4.0
Requires: rubygem(nokogiri)
BuildRequires: rubygems-devel
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Deltacloud REST Client for API

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%prep
%setup -q -c -T
mkdir -p ./%{gem_dir}

%build
gem install --local --install-dir .%{gem_dir} -V --force %{SOURCE0}
pushd .%{gem_instdir}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}/%{gem_dir}

%check

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%dir %{gem_instdir}
%{gem_libdir}
%doc %{gem_instdir}/LICENSE
%{gem_cache}
%{gem_spec}
%exclude %{gem_instdir}/.yardoc

%files doc
%defattr(-, root, root)
%{gem_instdir}/Rakefile
%{gem_instdir}/NOTICE
%{gem_docdir}

%changelog
* Mon Sep 17 2012 Michal Fojtik <mfojtik@redhat.com> - 1.0.4-1
- Release 1.0.4

* Mon Sep 17 2012 Michal Fojtik <mfojtik@redhat.com> - 1.0.3-1
- Release 1.0.3

* Wed Feb 10 2012 Michal Fojtik <mfojtik@redhat.com> - 0.5.0-3
- Updated specfile to match with rawhide

* Wed Feb 10 2012 Michal Fojtik <mfojtik@redhat.com> - 0.5.0-2
- Version bump to official 0.5.0 release

* Wed Feb 10 2012 Michal Fojtik <mfojtik@redhat.com> - 0.5.0-1
- Version bump to 0.5.0 GA

* Mon Feb 06 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.5.0-2.rc1
- Rebuilt for Ruby 1.9.3.

* Wed Feb 1 2012 Michal Fojtik <mfojtik@redhat.com> - 0.5.0-1.rc2
- Version bump to 0.5.0-rc2

* Thu Sep 29 2011 Richard Su <rwsu@redhat.com> - 0.4.0-3
- Added patch to ensure features and entrypoints are reset when driver is switched

* Mon Sep 19 2011 Michal Fojtik <mfojtik@redhat.com> - 0.4.0-1
- Version bump
- Added patch to fix incorrect hardware properties handling for architecture property

* Thu Jun 16 2011 Michal Fojtik <mfojtik@redhat.com> - 0.3.1-1
- Version bump

* Thu May 05 2011 Michal Fojtik <mfojtik@redhat.com> - 0.3.0-1
- Version bump

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Feb 04 2011 Michal Fojtik <mfojtik@redhat.com> - 0.1.1-1
- Version bump

* Thu Oct 14 2010 Michal Fojtik <mfojtik@redhat.com> - 0.1.0-2
- Fixed rest-client versioning

* Thu Oct 14 2010 Michal Fojtik <mfojtik@redhat.com> - 0.1.0-1
- Version bump

* Thu Oct 14 2010 Michal Fojtik <mfojtik@redhat.com> - 0.0.9.8-1
- Initial package
